Package org.globus.util

# Class PEMUtils

java.lang.Object
org.globus.util.PEMUtils

public class PEMUtils extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`lineSep`
`static final byte[]`
`lineSepBytes`

## Constructor Summary

Constructors
Constructor
Description
`PEMUtils()`

## Method Summary

Modifier and Type
Method
Description
`static final String`
`toHex(byte[] b)`
Return a hexadecimal representation of a byte array
`static void`
`writeBase64(OutputStream out, String header, byte[] base64Data, String footer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### lineSep

public static final String lineSep

### lineSepBytes

public static final byte[] lineSepBytes

## Constructor Details

### PEMUtils

public PEMUtils()

## Method Details

### writeBase64

public static void writeBase64(OutputStream out, String header, byte[] base64Data, String footer) throws IOException

Throws:
  `IOException`

### toHex

public static final String toHex(byte[] b)
Return a hexadecimal representation of a byte array

Parameters:
  `b` - a byte array
Returns:
  String containing the hexadecimal representation